public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/apply-default-acl/
Date: Wed, 27 May 2020 00:40:09 +0000 (UTC)	[thread overview]
Message-ID: <1590539943.6076bef915626b716b5b7f8e832d28b043745f4e.mjo@gentoo> (raw)

commit:     6076bef915626b716b5b7f8e832d28b043745f4e
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Wed May 27 00:38:50 2020 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Wed May 27 00:39:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6076bef9

sys-apps/apply-default-acl: new version 0.4.3.

This new version includes a pkg-config file, and some upstream fixes
for bugs that were reported on Gentoo.

Closes: https://bugs.gentoo.org/712844
Closes: https://bugs.gentoo.org/725536
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sys-apps/apply-default-acl/Manifest                |  1 +
 .../apply-default-acl-0.4.3.ebuild                 | 26 ++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/sys-apps/apply-default-acl/Manifest b/sys-apps/apply-default-acl/Manifest
index 2ccca958fba..19ce38577d4 100644
--- a/sys-apps/apply-default-acl/Manifest
+++ b/sys-apps/apply-default-acl/Manifest
@@ -1 +1,2 @@
 DIST apply-default-acl-0.4.2.tar.xz 246660 BLAKE2B dfb698d6a220b426ea607a70e1c51295629e6ac4637de72cf64a8fe577ed83ceaf6beb7f8b1507ed0d059e6f16e88e1b58a24e641dd6280765c55a70fa30712c SHA512 afe3a0182b76689e41d3a6922a8459587f6013112767ab0d9b60e5197d677ee0cdabd9ebd18f9cb59d4e373b4df2f5845cabddbd382c2743a80c3a20205aa861
+DIST apply-default-acl-0.4.3.tar.xz 251744 BLAKE2B 81803993ba20a7098de2767650b452df11b065e9d130199c1b12fed52f48d4676cbc8d826735d6a62d16211f51d67131e8b379feb1f0464b8ee3999cfce77e74 SHA512 d0b14bc685129e62f244a21921f271bc7baf7f2bea1c7a3689768e4205b10092154cc84cc8136b7afd37abf0259aaa23e5049b67476a8afddcc3a2be894bc423

diff --git a/sys-apps/apply-default-acl/apply-default-acl-0.4.3.ebuild b/sys-apps/apply-default-acl/apply-default-acl-0.4.3.ebuild
new file mode 100644
index 00000000000..956755978ea
--- /dev/null
+++ b/sys-apps/apply-default-acl/apply-default-acl-0.4.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Apply default POSIX ACLs to files and directories"
+HOMEPAGE="http://michael.orlitzky.com/code/apply-default-acl.xhtml"
+SRC_URI="http://michael.orlitzky.com/code/releases/${P}.tar.xz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="sys-apps/acl"
+RDEPEND="${DEPEND}"
+
+DOCS=( doc/README )
+
+# tests need to be executed on filesystem with ACL support
+# skipping them for now
+RESTRICT="test"
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2020-05-27  0:40 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-27  0:40 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-18  0:11 [gentoo-commits] repo/gentoo:master commit in: sys-apps/apply-default-acl/ Michael Orlitzky
2023-11-15  0:26 Michael Orlitzky
2020-08-05 15:54 Michael Orlitzky
2020-08-05 15:54 Michael Orlitzky
2020-06-01 21:24 Michael Orlitzky
2018-12-24 19:41 Michael Orlitzky
2018-12-24 19:41 Michael Orlitzky
2018-12-11 21:50 Michael Orlitzky
2018-07-31  0:04 Michael Orlitzky
2018-07-30 21:09 Mikle Kolyada
2018-07-28 13:24 Thomas Deutschmann
2018-06-24 22:36 Michael Orlitzky
2018-03-29  2:30 Michael Orlitzky
2018-03-02 23:27 Michael Orlitzky
2016-12-12 14:31 Michael Orlitzky
2016-12-12 14:31 Michael Orlitzky
2016-11-08  3:11 Michael Orlitzky
2016-10-03 14:32 Michael Orlitzky
2016-09-27 20:07 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1590539943.6076bef915626b716b5b7f8e832d28b043745f4e.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox